[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TJPEGImage.Scale

A predefined scaling value applied to the image data.

## Declaration

Source position: graphics.pp line 1825

`public property TJPEGImage.Scale : TJPEGScale read FScale write FScale;`

## Description

Scale is a TJPEGScale property which contains one of the predefined scaling values applied to the raw image data. For instance:

jsFullSize
  Image is not scaled.
jsHalf
  Image is scaled to one-half of its width and height.
jsQuarter
  Image is scaled to one-quarter of its width and height.
jsEighth
  Image is scaled to one-eighth of its width and height.